define({"606":{i:0.000584759967522141,u:"../Content/Lua/LuaJsonValue/_LUA_object.htm",a:"The object method gets the object, if the value is a JSON object. Syntax object() Returns (LuaJsonObject) A  LuaJsonObject  object that represents the JSON object. Example local fh = io.open(\"example_json.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n\nlocal myJsonValue = ...",t:"object"},"607":{i:0.000584759967522141,u:"../Content/Lua/LuaJsonValue/_LUA_string.htm",a:"The string method returns the JSON value as a string. Syntax string() Returns (String). The JSON value as a string. Example local fh = io.open(\"example_json.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n    \nlocal myJsonValue = parse_json(file_content)\n\nprint(myJsonValue:string())\n",t:"string"},"608":{i:0.000584759967522141,u:"../Content/Lua/LuaJsonValue/_LUA_value.htm",a:"The value method gets the value, if the JSON value is a simple type (a Boolean, float, integer, or string). This method returns a default value if one is specified and the value cannot be converted to the same type as the default. Syntax value( [default] ) Arguments Argument Description default ...",t:"value"},"609":{i:0.00354919125818582,u:"../Content/Lua/LuaLog/_LUA_LuaLog.htm",a:"A LuaLog object provides the capability to use a log stream. You can obtain a LuaLog object for a log stream by using the function  get_log . If you have a LuaLog object called log you can call its methods using the \u0027:\u0027 operator. For example: log:write_line(level, message) Method Description ...",t:"LuaLog Methods"},"610":{i:0.00199174146203361,u:"../Content/Lua/LuaLog/_LUA_write_line.htm",a:"The write_line method writes a message to the log stream. Syntax write_line( level, message ) Arguments Argument Description level The log level for the message. The message only appears in the log if the log level specified here is the same as, or higher than, the log level set for the log stream. ...",t:"write_line"},"611":{i:0.00064076121383143,u:"../Content/Lua/LuaLogService/_LUA__LuaLogService.htm",a:"A LuaLogService object provides the capability to write messages to a standard or custom log file. If you have a LuaLogService object called myLogService you can call its methods using the \u0027:\u0027 operator. For example: myLogService:get_log(\"application\") Constructor Description LuaLogService:new The ...",t:"LuaLogService Methods"},"612":{i:0.000755655398082619,u:"../Content/Lua/LuaLogService/_LUA_LuaLogService_new.htm",a:"The constructor for a LuaLogService object (creates a new LuaLogService). Do not create a new log service to write messages to log types that are defined in the File System Connector configuration file. Instead use the same log service as File System Connector, by calling  get_log_service , or ...",t:"LuaLogService:new"},"613":{i:0.000755655398082619,u:"../Content/Lua/LuaLogService/_LUA_get_log.htm",a:"The get_log method returns a LuaLog object that you can use to write log messages to a specified log type. Syntax get_log( type ) Arguments Argument Description type (string) The log type. Returns (LuaLog). A  LuaLog  object. Example local log = myLuaLogService:get_log(\"import\")\n-- import is a ...",t:"get_log"},"614":{i:0.000483331561865523,u:"../Content/Lua/LuaRegexMatch/_LUA_LuaRegexMatch_Methods.htm",a:"A LuaRegexMatch object provides information about the matches for a regular expression found in a string. For example, the regex_search function returns a LuaRegexMatch object. If a match is found for a regular expression at multiple points in the string, you can use the next() method to get a ...",t:"LuaRegexMatch Methods"},"615":{i:0.000565498014331898,u:"../Content/Lua/LuaRegexMatch/_LUA_length.htm",a:"The length method returns the length of the match. You can also retrieve the length of sub matches by specifying the submatch parameter. Syntax length( [ submatch ] ) Arguments Argument Description submatch (number) The sub match to return the length of, starting at 1 for the first sub match. With ...",t:"length"},"616":{i:0.000565498014331898,u:"../Content/Lua/LuaRegexMatch/_LUA_next.htm",a:"next The next method returns a LuaRegexMatch object for the next match. Syntax next() Returns (LuaRegexMatch). A LuaRegexMatch object for the next match, or nil if there are no matches following this one.",t:"next"},"617":{i:0.000565498014331898,u:"../Content/Lua/LuaRegexMatch/_LUA_position.htm",a:"The position method returns the position of the match in the string searched, where 1 refers to the first character in the string. You can also retrieve the position of sub matches by specifying the submatch parameter. Syntax position( [ submatch ] ) Arguments Argument Description submatch (number) ...",t:"position"},"618":{i:0.000565498014331898,u:"../Content/Lua/LuaRegexMatch/_LUA_size.htm",a:"size The size method returns the total number of sub matches made for the current match, including the whole match (sub match 0). Syntax size() Returns (Number). The number of sub matches for the current match.",t:"size"},"619":{i:0.000565498014331898,u:"../Content/Lua/LuaRegexMatch/_LUA_str.htm",a:"The str method returns the value of the substring that matched the regular expression. You can also retrieve the values of sub matches by specifying the submatch parameter. Syntax str( [ submatch ] ) Arguments Argument Description submatch (number) The sub match to return the value of, starting at 1 ...",t:"str"},"620":{i:0.000483331561865523,u:"../Content/Lua/LuaXmlDocument/_LUA_LuaXmlDocument_Methods.htm",a:"This section describes the methods provided by LuaXmlDocument objects. A LuaXmlDocument object provides methods for accessing information stored in XML format. You can create a LuaXmlDocument from a string containing XML using the parse_xml function. If you have a LuaXmlDocument object called xml ...",t:"LuaXmlDocument Methods"},"621":{i:0.000565498014331898,u:"../Content/Lua/LuaXmlDocument/_LUA_root.htm",a:"root The root method returns an LuaXmlNode, which is the root node of the XML document. Syntax root() Returns (LuaXmlNode). A LuaXmlNode object.",t:"root"},"622":{i:0.000565498014331898,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathExecute.htm",a:"XPathExecute The XPathExecute method returns a LuaXmlNodeSet, which is the result of the supplied XPath query. Syntax XPathExecute( xpathQuery ) Arguments Argument Description xpathQuery (string) The xpath query to run. Returns (LuaXmlNodeSet). A LuaXmlNodeSet object.",t:"XPathExecute"},"623":{i:0.000565498014331898,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathRegisterNs.htm",a:"The XPathRegisterNs method registers a namespace with the XML parser. Syntax XPathRegisterNs( prefix, location ) Arguments Argument Description prefix (string) The namespace prefix. location (string) The namespace location. Returns (Boolean). True if successful, False in case of error.",t:"XPathRegisterNs"},"624":{i:0.000565498014331898,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValue.htm",a:"XPathValue The XPathValue method returns the first occurrence of the value matching the XPath query. Syntax XPathValue( query ) Arguments Argument Description query (string) The XPath query to use. Returns (String). A string of the value.",t:"XPathValue"},"625":{i:0.000565498014331898,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValues.htm",a:"The XPathValues method returns the values according to the XPath query. Syntax XPathValues( query ) Arguments Argument Description query (string) The XPath query to use. Returns (Strings). The strings can be assigned to a table. To map the return values to a table, surround the function call with ...",t:"XPathValues"},"626":{i:0.000483331561865523,u:"../Content/Lua/LuaXmlNodeSet/_LUA_LuaXmlNodeSet_Methods.htm",a:"A LuaXmlNodeSet object represents a set of XML nodes. If you have a LuaXmlNodeSet object called nodes you can call its methods using the \u0027:\u0027 operator. For example: nodes:size() Method Description at Returns the LuaXmlNode at position pos in the set. size Returns size of node set.",t:"LuaXmlNodeSet Methods"},"627":{i:0.00068874769303146,u:"../Content/Lua/LuaXmlNodeSet/_LUA_at.htm",a:"at The at method returns the LuaXmlNode at position position in the set. Syntax at( position ) Arguments Argument Description position (number) The index of the item in the array to get.\n                     Returns (LuaXmlNode).",t:"at"},"628":{i:0.00068874769303146,u:"../Content/Lua/LuaXmlNodeSet/_LUA_size.htm",a:"size The size method returns the size of the node set. Syntax size() Returns (Number) An integer, the size of the node set.",t:"size"},"629":{i:0.000483331561865523,u:"../Content/Lua/LuaXmlNode/_LUA_LuaXmlNode_Methods.htm",a:"A LuaXmlNode object represents a single node in an XML document.  If you have a LuaXmlNode object called node you can call its methods using the \u0027:\u0027 operator. For example: node:name() Method Description attr Returns the first LuaXmlAttribute attribute object for this element. content Returns the ...",t:"LuaXmlNode Methods"},"630":{i:0.00052441478809871,u:"../Content/Lua/LuaXmlNode/_LUA_attr.htm",a:"The attr method returns the first LuaXmlAttribute attribute object for the LuaXmlNode. If the name argument is specified, the method returns the first LuaXmlAttribute object with the specified name. Syntax attr( [name] ) Arguments Argument Description name (string) The name of the LuaXmlAttribute ...",t:"attr"},"631":{i:0.00052441478809871,u:"../Content/Lua/LuaXmlNode/_LUA_content.htm",a:"content The content method returns the content (text element) of the XML node. Syntax content() Returns (String). A string containing the content.",t:"content"},"632":{i:0.00052441478809871,u:"../Content/Lua/LuaXmlNode/_LUA_firstChild.htm",a:"firstChild The firstChild method returns the LuaXmlNode that is the first child of this node. Syntax firstChild() Returns (LuaXmlNode).",t:"firstChild"},"633":{i:0.00052441478809871,u:"../Content/Lua/LuaXmlNode/_LUA_lastChild.htm",a:"lastChild The lastChild method returns the LuaXmlNode that is the last child of this node. Syntax lastChild() Returns (LuaXmlNode).",t:"lastChild"},"634":{i:0.00052441478809871,u:"../Content/Lua/LuaXmlNode/_LUA_name.htm",a:"name The name method returns the name of the XML node. Syntax name() Returns (String). A string containing the name.",t:"name"},"635":{i:0.00052441478809871,u:"../Content/Lua/LuaXmlNode/_LUA_next.htm",a:"next The next method returns the LuaXmlNode that is the next sibling of this node. Syntax next() Returns (LuaXmlNode).",t:"next"},"636":{i:0.00052441478809871,u:"../Content/Lua/LuaXmlNode/_LUA_nodePath.htm",a:"nodePath The nodePath method returns the XML path to the node, which can be used in another XPath query. Syntax nodePath() Returns (String). A string containing the path.",t:"nodePath"},"637":{i:0.00052441478809871,u:"../Content/Lua/LuaXmlNode/_LUA_parent.htm",a:"parent The parent method returns the parent LuaXmlNode of the node. Syntax parent() Returns (LuaXmlNode).",t:"parent"},"638":{i:0.00052441478809871,u:"../Content/Lua/LuaXmlNode/_LUA_prev.htm",a:"prev The prev method returns a LuaXmlNode that is the previous sibling of this node. Syntax prev() Returns (LuaXmlNode).",t:"prev"},"639":{i:0.00052441478809871,u:"../Content/Lua/LuaXmlNode/_LUA_type.htm",a:"The type method returns the type of the node as a string. Syntax type() Returns (String) A string containing the type. Possible values are: element_node comment_node element_decl attribute_node document_node attribute_decl text_node document_type_node entity_decl cdata_section_node ...",t:"type"},"640":{i:0.000483331561865523,u:"../Content/Lua/LuaXmlAttribute/_LUA_LuaXmlAttribute_Methods.htm",a:"A LuaXmlAttribute object represents an attribute on an XML element. If you have a LuaXmlAttribute object called attribute you can call its methods using the \u0027:\u0027 operator. For example: attribute:name() Method Description name Returns the name of this attribute. next Returns a LuaXmlAttribute object ...",t:"LuaXmlAttribute Methods"},"641":{i:0.000586039627448491,u:"../Content/Lua/LuaXmlAttribute/_LUA_name.htm",a:"name The name method returns the name of this attribute. Syntax name() Returns (String). A string containing the name of the attribute.",t:"name"},"642":{i:0.000586039627448491,u:"../Content/Lua/LuaXmlAttribute/_LUA_next.htm",a:"next The next method returns a LuaXmlAttribute object for the next attribute in the parent element. Syntax next() Returns (LuaXmlAttribute).",t:"next"},"643":{i:0.000586039627448491,u:"../Content/Lua/LuaXmlAttribute/_LUA_prev.htm",a:"prev The prev method returns a LuaXmlAttribute object for the previous attribute in the parent element. Syntax prev() Returns (LuaXmlAttribute).",t:"prev"},"644":{i:0.000586039627448491,u:"../Content/Lua/LuaXmlAttribute/_LUA_value.htm",a:"value The value method returns the value of this attribute. Syntax value() Returns (String). A string containing the value of the attribute.",t:"value"},"645":{i:0.000483331561865523,u:"../Content/_CN_Appendixes.htm",a:"Appendixes This section contains the following appendixes: Open Source and Third-Party Software License Agreements Open Source and Third-Party Software License Agreements (Online Help)",t:"Appendixes"},"646":{i:0.00068874769303146,u:"../Content/ThirdPartyLicenses/_LIC_App_OpenSource.htm",a:"Open Source and Third-Party Software License Agreements HPE acknowledges the redistribution of the following open source and third-party components under the licenses shown below.",t:"Open Source and Third-Party Software License Agreements"},"647":{i:0.000483331561865523,u:"../Content/ThirdPartyLicenses/_LIC_Lua.htm",a:"Copyright © 1994–2017 Lua.org, PUC-Rio. Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, ...",t:"Lua"},"648":{i:0.00068874769303146,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_OS3PLicenses.htm",a:"Open Source and Third-Party Software License Agreements (Online Help) Hewlett Packard Enterprise acknowledges the redistribution of open source and third-party components that use the following licenses.",t:"Open Source and Third-Party Software License Agreements (Online Help)"},"649":{i:0.000483331561865523,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_OSLicenses.htm",a:"Open Source Licenses Hewlett Packard Enterprise acknowledges the redistribution of open source components that use the following licenses.",t:"Open Source Licenses"},"650":{i:0.000483331561865523,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_com_Apache_v2.0.htm",a:"Apache License 2.0 HPE acknowledges the redistribution of the following open source components that are provided under this license: PIE.htc, PIE_uncompressed.htc, PIE-no-motw.htc License  For the text of Apache License 2.0, see  Appendix: Apache License 2.0 (Full Text) .",t:"Apache License 2.0"},"651":{i:0.000483331561865523,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_com_BSD_3-Clause.htm",a:"BSD 3-Clause License HPE acknowledges the redistribution of the following open source component that is provided under this license: Porter-Stemmer For the text of the BSD 3-Clause License, see  Appendix: BSD 3-Clause License (Full Text) .",t:"BSD 3-Clause License"},"652":{i:0.000483331561865523,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_com_MIT.htm",a:"HPE acknowledges the redistribution of the following open source components that are provided under this license: BxSlider 4.1.1 Copyright 2014, Steven Wanderski -  http://stevenwanderski.com  -  http://bxcreative.com Foundation Responsive Library (used by: foundation.offcanvas.js, plugins.min.js) ...",t:"The MIT License (MIT)"},"653":{i:0.000483331561865523,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_com_publicDomain.htm",a:"Public Domain HPE acknowledges the redistribution of the following open source components that are in the public domain: Array.indexOf polyfill Detect Mobile Browser (jQuery.browser.mobile) FitVids v1.0",t:"Public Domain"},"654":{i:0.000894163824197396,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_Apache_v2.0_fullText.htm",a:"Apache License Version 2.0, January 2004\n             http://www.apache.org/licenses/ TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION 1. Definitions. \"License\" shall mean the terms and conditions for use, reproduction, and\n\t\tdistribution as defined by Sections 1 through 9 of this ...",t:"Appendix: Apache License 2.0 (Full Text)"},"655":{i:0.000894163824197396,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_BSD_3-Clause_fullText.htm",a:"Copyright (c) \u003cYEAR\u003e, \u003cOWNER\u003e All rights reserved. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met: 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the ...",t:"Appendix: BSD 3-Clause License (Full Text)"},"656":{i:0.000894163824197396,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_MITLicense_fullText.htm",a:"\nThe MIT License (MIT) \nCopyright (c) \u003cyear\u003e \u003ccopyright holders\u003e Permission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto ...",t:"Appendix: The MIT License (Full Text)"},"657":{i:0.00109650042360077,u:"../Content/Actions/General/_ACI_Data.htm",a:"Data The encrypted version of the original action. To send an encrypted action, encrypt the action and then send it in the Data parameter of the  Encrypted  action.  Actions: Encrypted Type: String Default:   Example: Data=MzJ8kLiGY7QBrEwSDTdeOduOLlBhABllsJRmu8RDCKGG%2BZY%3D See Also:  ",t:"Data"},"658":{i:0.00330607477922898,u:"../Content/Actions/General/_ACI_DiskReport_MaxDepth.htm",a:"The maximum number of levels to print in the output for a disk report. File System Connector always counts all objects, but for this number of levels, File System Connector also prints details of the components, items, directories, and files.  To print the whole directory tree, set this parameter to ...",t:"MaxDepth"},"659":{i:0.00109650042360077,u:"../Content/Actions/General/_ACI_Filename.htm",a:"Filename The path of the backup file.  Actions: RestoreServer Type: String Default: None Example: Filename=C:/Temp/backups/24Feb2014.zip See Also:  ",t:"Filename"},"660":{i:0.0021333029955883,u:"../Content/Actions/General/_ACI_Format.htm",a:"Format Type  XML to display the request log in XML format.  Actions: GRL Type: String Default: HTML Example: Format=HTML See Also:  ",t:"Format"},"661":{i:0.00109650042360077,u:"../Content/Actions/General/_ACI_IP.htm",a:"IP The IP address for which to check permissions. By default, the  ShowPermissions  action checks the permissions for the client that sends the request. Action: ShowPermissions Type: String Default:   Required: No Example: action=ShowPermissions\u0026IP=12.34.56.78 See Also:",t:"IP"},"662":{i:0.00330607477922898,u:"../Content/Actions/General/_ACI_MemoryReport_MaxDepth.htm",a:"The maximum depth to return memory information for. The  MemoryReport  response XML displays a tree structure, with information for components and their sub-components on multiple levels. You can set MaxDepth to restrict the report to this number of levels.  Actions: MemoryReport Type: Long Default: ...",t:"MaxDepth"},"663":{i:0.0021333029955883,u:"../Content/Actions/General/_ACI_OpenLinks.htm",a:"OpenLinks Type  on to open logged requests in a new window when they are clicked.  Actions: GRL Type: String Default: Off Example: OpenLinks=off See Also:  ",t:"OpenLinks"},"664":{i:0.00109650042360077,u:"../Content/Actions/General/_ACI_Path.htm",a:"Path The folder in which to save the backup file.  Actions: BackupServer Type: String Default: Example: Path=C:/Temp See Also:  ",t:"Path"},"665":{i:0.00229230142461091,u:"../Content/Actions/General/_ACI_QueueInfo_AllStages.htm",a:"A Boolean that specifies what information to show in the response. The default (False)   merges the finished stages of a task and does not expand pending stages into sub-stages. To show this information, set this parameter to  True. Actions: QueueInfo \u0026QueueAction=progress\n                         ...",t:"AllStages"},"666":{i:0.00229230142461091,u:"../Content/Actions/General/_ACI_QueueInfo_FinishedAfter.htm",a:"Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the server only returns actions that finished processing after the specified date and time. Specify the date and time in one of the following formats: YYYY-MM-DD HH:NN:SS ZZZ ...",t:"Finished-After"},"667":{i:0.00229230142461091,u:"../Content/Actions/General/_ACI_QueueInfo_FinishedBefore.htm",a:"Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the server only returns actions that finished processing before the specified date and time. Specify the date and time in one of the following formats: YYYY-MM-DD HH:NN:SS ZZZ ...",t:"Finished-Before"},"668":{i:0.00229230142461091,u:"../Content/Actions/General/_ACI_QueueInfo_MaxDepth.htm",a:"The maximum number of levels to include in the output. For example, if you set  MaxDepth=0, the progress of an action is reported, but the progress of its stages is not. If you set  MaxDepth=2, the progress of an action and its stages is reported, and each stage can be divided into sub-stages. ...",t:"MaxDepth"},"669":{i:0.00229230142461091,u:"../Content/Actions/General/_ACI_QueueInfo_MaxPriority.htm",a:"Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the connector only returns actions that have a priority the same as or below the specified value.  Actions: QueueInfo \u0026QueueAction=GetStatus  Type: Integer Default:   Example: ...",t:"Max-Priority"},"670":{i:0.00229230142461091,u:"../Content/Actions/General/_ACI_QueueInfo_MaxResults.htm",a:"The maximum number of results to return in the response when you run action=QueueInfo\u0026QueueAction=getStatus. The default value of this parameter does not limit the number of results.  Actions: QueueInfo \u0026QueueAction=getstatus  Type: Integer Default: 0 Example: \u0026MaxResults=10 See Also: Start",t:"MaxResults"},"671":{i:0.00229230142461091,u:"../Content/Actions/General/_ACI_QueueInfo_MinPriority.htm",a:"Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the connector only returns actions that have a priority the same as or higher than the specified value. Actions: QueueInfo \u0026QueueAction=GetStatus  Type: Integer Default:   Example: ...",t:"Min-Priority"},"672":{i:0.00131805227038373,u:"../Content/Actions/General/_ACI_QueueInfo_Priority.htm",a:"The new priority to assign to the queued action. Specify the new priority as an integer. The higher the value you assign, the higher the priority of the action.  Actions: QueueInfo \u0026QueueAction=changepriority\n                         Type: Integer Allowed Range: Minimum: 0 Maximum: 100 Default:   ...",t:"Priority"},"673":{i:0.00131805227038373,u:"../Content/Actions/General/_ACI_QueueInfo_QueueAction.htm",a:"The action to perform on the queue. Specify one of the following actions:  cancel - cancel the queued action specified by the Token parameter. Use this option to cancel an action that has not started processing. changePriority - change the priority of the queued action specified by the Token ...",t:"QueueAction"},"674":{i:0.00229230142461091,u:"../Content/Actions/General/_ACI_QueueInfo_QueuedAfter.htm",a:"Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the server only returns actions that were added to the queue after the specified date and time. Specify the date and time in one of the following formats: YYYY-MM-DD HH:NN:SS ZZZ ...",t:"Queued-After"},"675":{i:0.00229230142461091,u:"../Content/Actions/General/_ACI_QueueInfo_QueuedBefore.htm",a:"Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the server only returns actions that were added to the queue before the specified date and time. Specify the date and time in one of the following formats: YYYY-MM-DD HH:NN:SS ZZZ ...",t:"Queued-Before"},"676":{i:0.00169150735607201,u:"../Content/Actions/General/_ACI_QueueInfo_QueueName.htm",a:"QueueName The name of the queue to query. There is one queue for each asynchronous action.  \n            Most of a connector\u0027s functionality is accessed through action=fetch, so usually you will specify fetch.\n         Actions: QueueInfo Type: String Default:   Example: \u0026QueueName= fetch See Also:  ",t:"QueueName"},"677":{i:0.00229230142461091,u:"../Content/Actions/General/_ACI_QueueInfo_SortBy.htm",a:"The property to use to sort the actions that are returned: queue-time - The time the request was received. start-time - The time the server began processing the request. finish-time - The time the server finished processing the request. Actions: QueueInfo \u0026QueueAction=getstatus\n                      ...",t:"Sort-By"},"678":{i:0.00229230142461091,u:"../Content/Actions/General/_ACI_QueueInfo_SortOrder.htm",a:"The order to use to sort the actions that are returned: ascending  - The oldest action is listed first. descending - The most recent action is listed first. Actions: QueueInfo \u0026QueueAction=getstatus\n                         Type: String Default: descending Example: \u0026Sort-Order=ascending See Also: ...",t:"Sort-Order"},"679":{i:0.00229230142461091,u:"../Content/Actions/General/_ACI_QueueInfo_Start.htm",a:"The index of the first result to return in the response when you run action=QueueInfo\u0026QueueAction=getStatus. The index of the first result is  1. Use this parameter when you set the MaxResults action parameter, to page through the results. Actions: QueueInfo \u0026QueueAction=getstatus  Type: Integer ...",t:"Start"},"680":{i:0.00229230142461091,u:"../Content/Actions/General/_ACI_QueueInfo_StartedAfter.htm",a:"Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the server only returns actions that started processing after the specified date and time. Specify the date and time in one of the following formats: YYYY-MM-DD HH:NN:SS ZZZ YYYY/MM/DD ...",t:"Started-After"},"681":{i:0.00229230142461091,u:"../Content/Actions/General/_ACI_QueueInfo_StartedBefore.htm",a:"Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the server only returns actions that started processing before the specified date and time. Specify the date and time in one of the following formats: YYYY-MM-DD HH:NN:SS ZZZ ...",t:"Started-Before"},"682":{i:0.00131805227038373,u:"../Content/Actions/General/_ACI_QueueInfo_State.htm",a:"The actions to return, based on their current state. This parameter accepts a comma-separated list that contains one or more of the following values: queued - return actions that are waiting in the queue. running - return actions that are running. finished - return actions that have finished. ...",t:"State"},"683":{i:0.00169150735607201,u:"../Content/Actions/General/_ACI_QueueInfo_Token.htm",a:"Token To specify a single action in the queue, specify the token. You must specify this parameter when QueueAction=cancel, or QueueAction=changePriority , or QueueAction=progress .  Actions: QueueInfo Type: String Default:   Example: \u0026Token=MTAuMi4xMDUuMzQ6MTIzNDpGRVRDSDoxNDAyOTU3MzY4 See Also:  ",t:"Token"},"684":{i:0.0021333029955883,u:"../Content/Actions/General/_ACI_Refresh.htm",a:"Refresh The number of seconds to elapse before the request log refreshes.  Actions: GRL Type: Long Default:   Example: Refresh=10 See Also:  ",t:"Refresh"},"685":{i:0.0021333029955883,u:"../Content/Actions/General/_ACI_Tail.htm",a:"Tail The number of most recent requests that the log must display.  Actions: GRL Type: Long Default: 100 Allowed Range: Minimum: Maximum: 1000 Example: Tail=15 See Also:  ",t:"Tail"},"686":{i:0.00254438999385422,u:"../Content/Actions/SharedParameters/_ACI_ActionID.htm",a:"A string to use to identify an ACI action. You can use this parameter to track actions where the action is passed between multiple IDOL components. Each IDOL component passes the ActionID string along with the action, so that you can easily find related actions in logs for each component. If you do ...",t:"ActionID"},"687":{i:0.000483331561865523,u:"../Content/Actions/SharedParameters/_ACI_EncryptResponse.htm",a:"EncryptResponse Set EncryptResponse to  True to encrypt the action output.  To use encryption, you must set the  CommsEncryptionType  configuration parameter. Type: Boolean Default: False  Example: EncryptResponse=True See Also: CommsEncryptionType  configuration parameter",t:"EncryptResponse"},"688":{i:0.00226115216723039,u:"../Content/Actions/SharedParameters/_ACI_FileName.htm",a:"The location of the file to write the action output to, if you have set  Output  to  File. Type the full path to the file. The path that you specify must be listed in the  AllowedOutputDirectoryCSVs  configuration parameter. File System Connector cannot write the output file to directories that are ...",t:"FileName"},});